> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ticket Relationship

> Get a ticket relationship by its ID. The relationship object contains the ticket_id, related_ticket_id, and relationship_type (linked, duplicate, or parent).



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml get /v2/ticket-relationships/{id}
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent Session API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/ticket-relationships/{id}:
    get:
      tags:
        - Ticket API
      summary: Get Ticket Relationship
      description: >-
        Get a ticket relationship by its ID. The relationship object contains
        the ticket_id, related_ticket_id, and relationship_type (linked,
        duplicate, or parent).
      operationId: svrelay.publicv2.PublicAPIServiceV2.GetTicketRelationship
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
            description: The ID of the ticket relationship
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/svhelp.publicapi.GetTicketRelationshipResponse
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svhelp.publicapi.GetTicketRelationshipResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svhelp.pubapimodels.TicketRelationship'
          title: data
          x-stainless-terraform-configurability: optional
      title: GetTicketRelationshipResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svhelp.pubapimodels.TicketRelationship:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the ticket relationship
          readOnly: true
          x-stainless-terraform-configurability: computed
        ticketId:
          type: string
          title: ticket_id
          description: The ID of the first ticket in the relationship
          x-stainless-terraform-configurability: optional
        relatedTicketId:
          type: string
          title: related_ticket_id
          description: The ID of the related ticket
          x-stainless-terraform-configurability: optional
        relationshipType:
          $ref: '#/components/schemas/svhelp.pubapimodels.TicketRelationshipType'
          title: relationship_type
          description: The type of relationship between the tickets
          x-stainless-terraform-configurability: optional
      title: TicketRelationship
      additionalProperties: false
      description: TicketRelationship represents a relationship between two tickets
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svhelp.pubapimodels.TicketRelationshipType:
      type: string
      title: TicketRelationshipType
      enum:
        - TICKET_RELATIONSHIP_TYPE_UNSPECIFIED
        - TICKET_RELATIONSHIP_TYPE_DUPLICATE
        - TICKET_RELATIONSHIP_TYPE_LINKED
        - TICKET_RELATIONSHIP_TYPE_PARENT
        - TICKET_RELATIONSHIP_TYPE_DEPENDS_ON
        - TICKET_RELATIONSHIP_TYPE_CONVERSATION_THREAD
      description: >-
        TicketRelationshipType represents the type of relationship between two
        tickets
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````